<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: UserNotifier</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">UserNotifier</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/models/user_notifier_rb.html">
                app/models/user_notifier.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                ActionMailer::Base
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">

    <div id="description">
      <p>
Delivers e-mails after signup and activation.
</p>

    </div>


   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000035">activation</a>&nbsp;&nbsp;
      <a href="#M000036">setup_email</a>&nbsp;&nbsp;
      <a href="#M000034">signup_notification</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000035" class="method-detail">
        <a name="M000035"></a>

        <div class="method-heading">
          <a href="#M000035" class="method-signature">
          <span class="method-name">activation</span><span class="method-args">(user)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000035-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000035-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/user_notifier.rb, line 11</span>
11:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">activation</span>(<span class="ruby-identifier">user</span>)
12:     <span class="ruby-identifier">setup_email</span>(<span class="ruby-identifier">user</span>)
13:     <span class="ruby-ivar">@subject</span>    <span class="ruby-operator">+=</span> <span class="ruby-value str">'Your account has been activated!'</span>
14:     <span class="ruby-ivar">@body</span>[<span class="ruby-identifier">:url</span>]  = <span class="ruby-value str">&quot;http://mylyrix.ath.cx/&quot;</span>
15:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000034" class="method-detail">
        <a name="M000034"></a>

        <div class="method-heading">
          <a href="#M000034" class="method-signature">
          <span class="method-name">signup_notification</span><span class="method-args">(user)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000034-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000034-source">
<pre>
   <span class="ruby-comment cmt"># File app/models/user_notifier.rb, line 3</span>
3:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">signup_notification</span>(<span class="ruby-identifier">user</span>)
4:     <span class="ruby-identifier">setup_email</span>(<span class="ruby-identifier">user</span>)
5:     <span class="ruby-ivar">@subject</span>    <span class="ruby-operator">+=</span> <span class="ruby-value str">'Please activate your new account'</span>
6:   
7:     <span class="ruby-ivar">@body</span>[<span class="ruby-identifier">:url</span>]  = <span class="ruby-node">&quot;http://mylyrix.ath.cx/activate/#{user.activation_code}&quot;</span>
8:   
9:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <h3 class="section-bar">Protected Instance methods</h3>

      <div id="method-M000036" class="method-detail">
        <a name="M000036"></a>

        <div class="method-heading">
          <a href="#M000036" class="method-signature">
          <span class="method-name">setup_email</span><span class="method-args">(user)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000036-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000036-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/user_notifier.rb, line 18</span>
18:     <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">setup_email</span>(<span class="ruby-identifier">user</span>)
19:       <span class="ruby-ivar">@recipients</span>  = <span class="ruby-node">&quot;#{user.email}&quot;</span>
20:       <span class="ruby-ivar">@from</span>        = <span class="ruby-value str">&quot;donotreply@mylyrix.ath.cx&quot;</span>
21:       <span class="ruby-ivar">@subject</span>     = <span class="ruby-value str">&quot;[Lyrix] &quot;</span>
22:       <span class="ruby-ivar">@sent_on</span>     = <span class="ruby-constant">Time</span>.<span class="ruby-identifier">now</span>
23:       <span class="ruby-ivar">@body</span>[<span class="ruby-identifier">:user</span>] = <span class="ruby-identifier">user</span>
24:     <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>